floppym 14/12/28 19:41:47
Modified: twisted-core-13.2.0.ebuild
twisted-core-12.3.0-r1.ebuild
twisted-core-13.0.0-r3.ebuild
twisted-core-14.0.1.ebuild
twisted-core-14.0.2.ebuild
twisted-core-14.0.0.ebuild ChangeLog
Log:
Cleanup CFLAGS handling.
(Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key
0BBEEA1FEA4843A4)
Revision Changes Path
1.3 dev-python/twisted-core/twisted-core-13.2.0.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-13.2.0.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-13.2.0.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-13.2.0.ebuild?r1=1.2&r2=1.3
Index: twisted-core-13.2.0.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-13.2.0.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- twisted-core-13.2.0.ebuild 12 Dec 2014 23:23:23 -0000 1.2
+++ twisted-core-13.2.0.ebuild 28 Dec 2014 19:41:47 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-13.2.0.ebuild,v
1.2 2014/12/12 23:23:23 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-13.2.0.ebuild,v
1.3 2014/12/28 19:41:47 floppym Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
@@ -43,13 +43,12 @@
}
python_compile() {
- local CFLAGS CXXFLAGS
-
- if [[ ${EPYTHON} != python3* ]]; then
+ if ! python_is_python3; then
# Needed to make the sendmsg extension work
# (see http://twistedmatrix.com/trac/ticket/5701 )
- append-flags -fno-strict-aliasing
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
fi
distutils-r1_python_compile
1.3 dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild?r1=1.2&r2=1.3
Index: twisted-core-12.3.0-r1.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- twisted-core-12.3.0-r1.ebuild 12 Dec 2014 23:23:23 -0000 1.2
+++ twisted-core-12.3.0-r1.ebuild 28 Dec 2014 19:41:47 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild,v
1.2 2014/12/12 23:23:23 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-12.3.0-r1.ebuild,v
1.3 2014/12/28 19:41:47 floppym Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
@@ -30,10 +30,6 @@
"${FILESDIR}/${PN}-9.0.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch"
)
-# Needed to make the sendmsg extension work
-# (see http://twistedmatrix.com/trac/ticket/5701 )
-PYTHON_CFLAGS=("2.* + -fno-strict-aliasing")
-
python_prepare_all() {
if [[ "${EUID}" -eq 0 ]]; then
# Disable tests failing with root permissions.
@@ -47,13 +43,12 @@
}
python_compile() {
- local CFLAGS CXXFLAGS
-
- if [[ ${EPYTHON} != python3* ]]; then
+ if ! python_is_python3; then
# Needed to make the sendmsg extension work
# (see http://twistedmatrix.com/trac/ticket/5701 )
- append-flags -fno-strict-aliasing
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
fi
distutils-r1_python_compile
1.12 dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild?rev=1.12&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild?rev=1.12&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild?r1=1.11&r2=1.12
Index: twisted-core-13.0.0-r3.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- twisted-core-13.0.0-r3.ebuild 12 Dec 2014 23:23:23 -0000 1.11
+++ twisted-core-13.0.0-r3.ebuild 28 Dec 2014 19:41:47 -0000 1.12
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild,v
1.11 2014/12/12 23:23:23 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-13.0.0-r3.ebuild,v
1.12 2014/12/28 19:41:47 floppym Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
@@ -43,13 +43,12 @@
}
python_compile() {
- local CFLAGS CXXFLAGS
-
- if [[ ${EPYTHON} != python3* ]]; then
+ if ! python_is_python3; then
# Needed to make the sendmsg extension work
# (see http://twistedmatrix.com/trac/ticket/5701 )
- append-flags -fno-strict-aliasing
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
fi
distutils-r1_python_compile
1.5 dev-python/twisted-core/twisted-core-14.0.1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.1.ebuild?rev=1.5&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.1.ebuild?rev=1.5&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.1.ebuild?r1=1.4&r2=1.5
Index: twisted-core-14.0.1.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.1.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- twisted-core-14.0.1.ebuild 12 Dec 2014 23:23:23 -0000 1.4
+++ twisted-core-14.0.1.ebuild 28 Dec 2014 19:41:47 -0000 1.5
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.1.ebuild,v
1.4 2014/12/12 23:23:23 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.1.ebuild,v
1.5 2014/12/28 19:41:47 floppym Exp $
EAPI=5
PYTHON_COMPAT=( python2_7 )
@@ -44,12 +44,11 @@
}
python_compile() {
- local CFLAGS CXXFLAGS
-
if ! python_is_python3; then
# Needed to make the sendmsg extension work
# (see http://twistedmatrix.com/trac/ticket/5701 )
- append-flags -fno-strict-aliasing
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
fi
distutils-r1_python_compile
1.3 dev-python/twisted-core/twisted-core-14.0.2.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.2.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.2.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.2.ebuild?r1=1.2&r2=1.3
Index: twisted-core-14.0.2.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.2.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- twisted-core-14.0.2.ebuild 12 Dec 2014 23:23:23 -0000 1.2
+++ twisted-core-14.0.2.ebuild 28 Dec 2014 19:41:47 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.2.ebuild,v
1.2 2014/12/12 23:23:23 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.2.ebuild,v
1.3 2014/12/28 19:41:47 floppym Exp $
EAPI=5
PYTHON_COMPAT=( python2_7 )
@@ -44,12 +44,11 @@
}
python_compile() {
- local CFLAGS CXXFLAGS
-
if ! python_is_python3; then
# Needed to make the sendmsg extension work
# (see http://twistedmatrix.com/trac/ticket/5701 )
- append-flags -fno-strict-aliasing
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
fi
distutils-r1_python_compile
1.9 dev-python/twisted-core/twisted-core-14.0.0.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.0.ebuild?rev=1.9&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.0.ebuild?rev=1.9&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.0.ebuild?r1=1.8&r2=1.9
Index: twisted-core-14.0.0.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.0.ebuild,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- twisted-core-14.0.0.ebuild 12 Dec 2014 23:23:23 -0000 1.8
+++ twisted-core-14.0.0.ebuild 28 Dec 2014 19:41:47 -0000 1.9
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.0.ebuild,v
1.8 2014/12/12 23:23:23 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/twisted-core/twisted-core-14.0.0.ebuild,v
1.9 2014/12/28 19:41:47 floppym Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
@@ -43,12 +43,11 @@
}
python_compile() {
- local CFLAGS CXXFLAGS
-
if ! python_is_python3; then
# Needed to make the sendmsg extension work
# (see http://twistedmatrix.com/trac/ticket/5701 )
- append-flags -fno-strict-aliasing
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
fi
distutils-r1_python_compile
1.42 dev-python/twisted-core/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/ChangeLog?rev=1.42&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/ChangeLog?rev=1.42&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/twisted-core/ChangeLog?r1=1.41&r2=1.42
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/twisted-core/ChangeLog,v
retrieving revision 1.41
retrieving revision 1.42
diff -u -r1.41 -r1.42
--- ChangeLog 12 Dec 2014 23:23:23 -0000 1.41
+++ ChangeLog 28 Dec 2014 19:41:47 -0000 1.42
@@ -1,6 +1,12 @@
# ChangeLog for dev-python/twisted-core
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/twisted-core/ChangeLog,v 1.41
2014/12/12 23:23:23 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/twisted-core/ChangeLog,v 1.42
2014/12/28 19:41:47 floppym Exp $
+
+ 28 Dec 2014; Mike Gilbert <[email protected]> twisted-core-12.3.0-r1.ebuild,
+ twisted-core-13.0.0-r3.ebuild, twisted-core-13.2.0.ebuild,
+ twisted-core-14.0.0.ebuild, twisted-core-14.0.1.ebuild,
+ twisted-core-14.0.2.ebuild:
+ Cleanup CFLAGS handling.
12 Dec 2014; Michał Górny <[email protected]> twisted-core-12.3.0-r1.ebuild,
twisted-core-13.0.0-r3.ebuild, twisted-core-13.2.0.ebuild,